Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/Values/Content/Query/Criterion/ContentTypeGroupId.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\Content\Query\Criterion;
8
9 use eZ\Publish\API\Repository\Values\Content\Query\Criterion;
10 use eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications;
11
20 class ContentTypeGroupId extends Criterion
21 {
31 public function __construct($value)
32 {
33 parent::__construct(null, null, $value);
34 }
35
36 public function getSpecifications()
37 {
38 $types = Specifications::TYPE_INTEGER | Specifications::TYPE_STRING;
39
40 return [
41 new Specifications(
42 Operator::IN,
43 Specifications::FORMAT_ARRAY,
44 $types
45 ),
46 new Specifications(
47 Operator::EQ,
48 Specifications::FORMAT_SINGLE,
49 $types
50 ),
51 ];
52 }
53
57 public static function createFromQueryBuilder($target, $operator, $value)
58 {
59 @trigger_error('The ' . __METHOD__ . ' method is deprecated since version 7.2 and will be removed in 8.0.', E_USER_DEPRECATED);
60
61 return new self($value);
62 }
63 }
eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeGroupId
A criterion that will match content based on its ContentTypeGroup id.
Definition: API/Repository/Values/Content/Query/Criterion/ContentTypeGroupId.php:21
eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeGroupId\createFromQueryBuilder
static createFromQueryBuilder($target, $operator, $value)
Definition: API/Repository/Values/Content/Query/Criterion/ContentTypeGroupId.php:57
eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeGroupId\__construct
__construct($value)
Creates a new ContentTypeGroup criterion.
Definition: API/Repository/Values/Content/Query/Criterion/ContentTypeGroupId.php:31
eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeGroupId\getSpecifications
getSpecifications()
Criterion description function.
Definition: API/Repository/Values/Content/Query/Criterion/ContentTypeGroupId.php:36
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications
This class is used by Criteria to describe which operators they support.
Definition: Specifications.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\FORMAT_ARRAY
const FORMAT_ARRAY
Definition: Specifications.php:20
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\TYPE_STRING
const TYPE_STRING
Definition: Specifications.php:27
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\TYPE_INTEGER
const TYPE_INTEGER
Criterion input value type description constants.
Definition: Specifications.php:26
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\FORMAT_SINGLE
const FORMAT_SINGLE
Criterion input type description constants.
Definition: Specifications.php:19
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\EQ
const EQ
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:16
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\IN
const IN
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:21
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$target
$target
Definition: API/Repository/Values/Content/Query/Criterion.php:35
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$operator
$operator
Definition: API/Repository/Values/Content/Query/Criterion.php:21
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$value
$value
Definition: API/Repository/Values/Content/Query/Criterion.php:28
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion/Ancestor.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.